# $Id$

use Test::More tests => 8;
use File::Temp qw(tempdir);

use_ok('ObsData');
use_ok('ObsData::Repository');

my $o = ObsData->new(
    'testdata/obsdata-conftest', 
    logfile => "testdata/obsdata.log",
    verbose => 0,
);
$o->load();

{
    my $or = ObsData::Repository::dir::archive->new(
        {
            obsdata => $o,
            dir => 'testdata/ohp',
            archivefile => 'ozone34.gz',
            statusfile => 'testdata/test-index.ini',
            dry_run => 1,
        }
    );
    isa_ok($or, "ObsData::Repository::dir::archive");
    ok($or->do_check('archive_exists'), "can perform check archive_exists");
    ok(!$or->do_check('archive_size'), "can perform check archive_size");
    ok(!$or->do_check('archive_mtime'), "can perform check archive_mtime");
    ok($or->do_check('dest_exists', 'ozone34', '34/ozone34'), "can perform check dest_exists");
    ok($or->do_check('data_extracted', 'ozone34'), "can perform check data_extracted");
}

